//
//  TWCaptureListTest.m
//  TrailWalker
//
//  Created by Roger Riera Diaz on 16/05/13.
//  Copyright (c) 2013 Roger Riera Diaz. All rights reserved.
//

static int const prevLat = 5;
static int const prevLong = 15;

#import "TWCaptureListTest.h"
#import "MyManager.h"

@implementation TWCaptureListTest {
    TWCaptureList *myCaptureList;
    CLLocation *location;
    TWCaptura *capture;
}

- (void)setUp
{
    [super setUp];
    myCaptureList = [[TWCaptureList alloc] init];
    location = [[CLLocation alloc] initWithLatitude:prevLat longitude:prevLong];
    [capture createCapture:location];
}

- (void)tearDown
{
    myCaptureList = nil;
    capture = nil;
    location = nil;
    [super tearDown];
}

- (void)testCaptureListConstructorReturnsNotNil
{
    
    STAssertNotNil(myCaptureList,@"Instancia d'objecte nul.");
}

- (void)testAddCaptureAddObjectCorrectly
{
    MyManager *sharedManager = [MyManager sharedManager];
    sharedManager.myLastCapture = capture;
    [myCaptureList addCapture];
    TWCaptura *captureReaded = [myCaptureList.captureList objectAtIndex: 0];
    NSLog(@"Shared lat %@", sharedManager.myLastCapture.latitudeCapt);
    STAssertTrue(([captureReaded.latitudeCapt intValue] == [sharedManager.myLastCapture.latitudeCapt intValue]),@"Latitud de la captura de la llista mal grabada.");
    STAssertTrue(([captureReaded.longitudeCapt intValue] == [sharedManager.myLastCapture.longitudeCapt intValue]),@"Longitud de la captura de la llista mal grabada.");
}

- (void)testGetUnnattendedListReturnsCorrectOcurrNumber {
    MyManager *sharedManager = [MyManager sharedManager];
    sharedManager.myLastCapture = capture;
    [myCaptureList addCapture];
    TWCaptura *captureReaded = [myCaptureList.captureList objectAtIndex: 0];
    NSLog(@"Shared lat %@", sharedManager.myLastCapture.latitudeCapt);
    STAssertTrue(([captureReaded.latitudeCapt intValue] == [sharedManager.myLastCapture.latitudeCapt intValue]),@"Latitud de la captura de la llista mal grabada.");
    STAssertTrue(([captureReaded.longitudeCapt intValue] == [sharedManager.myLastCapture.longitudeCapt intValue]),@"Longitud de la captura de la llista mal grabada.");
}

- (void)testGetSendedListReturnsCorrectOcurrNumber {
    MyManager *sharedManager = [MyManager sharedManager];
    sharedManager.myLastCapture = capture;
    [myCaptureList addCapture];
    TWCaptura *captureReaded = [myCaptureList.captureList objectAtIndex: 0];
    NSLog(@"Shared lat %@", sharedManager.myLastCapture.latitudeCapt);
    STAssertTrue(([captureReaded.latitudeCapt intValue] == [sharedManager.myLastCapture.latitudeCapt intValue]),@"Latitud de la captura de la llista mal grabada.");
    STAssertTrue(([captureReaded.longitudeCapt intValue] == [sharedManager.myLastCapture.longitudeCapt intValue]),@"Longitud de la captura de la llista mal grabada.");
}

@end
