//
//  TWLocationManagerTest.m
//  TrailWalker
//
//  Created by Roger Riera Diaz on 17/05/13.
//  Copyright (c) 2013 Roger Riera Diaz. All rights reserved.
//


static int const prevLat = 5;
static int const prevLong = 15;


#import "TWLocationManagerTest.h"

@implementation TWLocationManagerTest {
    TWCaptura *capture;
    CLLocation *location;
}

- (void)setUp
{
    [super setUp];
    capture = [[TWCaptura alloc] init];
    location = [[CLLocation alloc] initWithLatitude:prevLat longitude:prevLong];
}

- (void)tearDown
{
    capture = nil;
    location = nil;
    [super tearDown];
}

- (void)testLocationManagerConstructorReturnsNotNil
{
    
    STAssertNotNil(capture,@"Instancia d'objecte nul.");
}

- (void)testLocationManagerDoesNotThrowException
{
    [capture createCapture:location];
    STAssertTrue(([capture.latitudeCapt intValue] == prevLat),
                 @"Latitud de la captura mal grabada.");
    STAssertTrue(([capture.longitudeCapt intValue] == prevLong),
                 @"Longitud de la captura mal grabada.");
}

@end
