//
//  MyManager.m
//  TrailWalker
//
//  Created by Roger Riera Diaz on 15/05/13.
//  Copyright (c) 2013 Roger Riera Diaz. All rights reserved.
//

#import "MyManager.h"

@implementation MyManager

@synthesize myCaptureList;
@synthesize mySettingData;
@synthesize myLastCapture;

#pragma mark Singleton Methods

+ (id)sharedManager {
    static MyManager *sharedMyManager = nil;
    static dispatch_once_t onceToken;
    dispatch_once(&onceToken, ^{
        sharedMyManager = [[self alloc] init];
    });
    return sharedMyManager;
}

- (id)init {
    if (self = [super init]) {
        // Només el primer cop alloquem i inicialitzem els atribtus de la Singleton
        myLastCapture = [[TWCaptura alloc] init];
        
        myCaptureList = [[TWCaptureList alloc] init];
        
        mySettingData = [[TWSettingsData alloc] init];
        [mySettingData getDataFromDict];
    }
    return self;
}

- (void)dealloc {
    // Should never be called, but just here for clarity really.
}

@end