//
//  TWAccuracyController.m
//  TrailWalker
//
//  Created by Roger Riera Diaz on 26/04/13.
//  Copyright (c) 2013 Roger Riera Diaz. All rights reserved.
//

#import "TWAccuracyController.h"

#define kFactor 50

@interface TWAccuracyController ()

@end

@implementation TWAccuracyController

@synthesize delegate;

- (id)initWithStyle:(UITableViewStyle)style
{
    self = [super initWithStyle:style];
    if (self) {
        // Custom initialization
    }
    return self;
}

- (void)viewDidLoad
{
    [super viewDidLoad];
    
    // Carrega la precissió actual
    MyManager *sharedManager = [MyManager sharedManager];
    _accuracySlider.value = sharedManager.mySettingData.accuracy.floatValue / kFactor;
    
    int roundMin = _accuracySlider.value;
    roundMin = roundMin * kFactor;
    _accuracyLabel.text = [NSString stringWithFormat:@"%i m", roundMin];
}

- (void)didReceiveMemoryWarning
{
    [super didReceiveMemoryWarning];
    // Dispose of any resources that can be recreated.
}

// Recalcula el valor de l'slider per presentar-lo a la label
- (IBAction)changeValueSlider:(id)sender {
    int roundMin = _accuracySlider.value;
    roundMin = roundMin * kFactor;
    _accuracyLabel.text = [NSString stringWithFormat:@"%i m", roundMin];
}

#pragma mark - Table view delegate

- (void)tableView:(UITableView *)tableView didSelectRowAtIndexPath:(NSIndexPath *)indexPath
{
    // Navigation logic may go here. Create and push another view controller.
}

- (IBAction)cancel:(id)sender
{
	[self.delegate accuracyControllerDidCancel:self];
}

// Mètode que retorna la delegació a la classe pare. Ha acceptat la precissió
- (IBAction)done:(id)sender
{
    int roundMin = _accuracySlider.value;
    roundMin = roundMin * kFactor;
    NSNumber *accuracy = [NSNumber numberWithInt:roundMin];
    [self.delegate TWAccuracyController:self didReturnAccuracy:accuracy];
}


@end
