//
//  TWCaptura.m
//  TrailWalker
//
//  Created by Roger Riera Diaz on 22/04/13.
//  Copyright (c) 2013 Roger Riera Diaz. All rights reserved.
//

#import "TWCaptura.h"
#import "MyManager.h"


@implementation TWCaptura

@synthesize latitudeCapt;
@synthesize longitudeCapt;
@synthesize batteryCapt;
@synthesize teamCodeCapt;
@synthesize uuidCodeCapt;
@synthesize teamCapt;
@synthesize timeStampCapt;
@synthesize statusCapt;

// Mètode per crear una captura a partir de les dades d'una localització i les dades de paràmetres
- (void)createCapture:(CLLocation*)location {
    
    MyManager *sharedManager = [MyManager sharedManager];
    UIDevice *device = [UIDevice currentDevice];
    [device setBatteryMonitoringEnabled:YES];

    [self setLatitudeCapt:[NSNumber numberWithDouble: location.coordinate.latitude]];
    [self setLongitudeCapt:[NSNumber numberWithDouble: location.coordinate.longitude]];
    [self setTimeStampCapt:location.timestamp];
    [self setStatusCapt:0];
    
    // No utilitzem aquest mètode per que està deprecat des de la versió 5.0
//    [self setTeamCodeCapt:device.uniqueIdentifier];
    
    [self setTeamCodeCapt:[device macaddress]];
    
    [self setUuidCodeCapt:sharedManager.mySettingData.uuid];
    
    [self setBatteryCapt:[NSNumber numberWithInt:fabsf(device.batteryLevel) * 100]];
    [self setTeamCapt:sharedManager.mySettingData.team];

    NSLog(@"latitude %+.6f, longitude %+.6f, time %@, battery %@, teamCode %@, UUID %@\n",
          self.latitudeCapt.floatValue,
          self.longitudeCapt.floatValue,
          self.timeStampCapt,
          self.batteryCapt,
          self.teamCodeCapt,
          self.uuidCodeCapt);
}

    
@end
