//
//  TWCaptureList.m
//  TrailWalker
//
//  Created by Roger Riera Diaz on 15/05/13.
//  Copyright (c) 2013 Roger Riera Diaz. All rights reserved.
//

#import "TWCaptureList.h"
#import "MyManager.h"



@implementation TWCaptureList

@synthesize captureList;


- (id)init
{
    self = [super init];
    if (self)
        captureList = [[NSMutableArray alloc] init];
    return self;
}

// Obté la llista de les captures no ateses
-(NSMutableArray *)getUnnattendedList {
    
    NSMutableArray *unnattendedList = [[NSMutableArray alloc] init];
    
    if ((captureList != nil) && ([captureList count] != 0)) {
        for (TWCaptura *capt in captureList) {
            if (capt.statusCapt == 0) [unnattendedList insertObject:capt atIndex:0];
        }
    }
    return unnattendedList;
}

// Obté la llista de les captures enviades i acceptades
-(NSMutableArray *)getSendedList {
    
    NSMutableArray *sendedList = [[NSMutableArray alloc] init];

    if ((captureList != nil) && ([captureList count] != 0)) {
        for (TWCaptura *capt in captureList) {
            if (capt.statusCapt != 0) [sendedList insertObject:capt atIndex:0];
        }
    }
    return sendedList;
}

// Obté tota la llista
-(NSMutableArray *)getCaptureList {
    
    NSMutableArray *CaptList = [[NSMutableArray alloc] init];
    
    if ((captureList != nil) && ([captureList count] != 0)) {
        for (TWCaptura *capt in captureList) {
            [CaptList insertObject:capt atIndex:0];
        }
    }
    return CaptList;
}

// Actualitza la primera captura sense atendre amb l'ObjectId
-(void)setStatusFirstUnnattendedItem:(int)statusVal {
    
    if ((captureList != nil) && ([captureList count] != 0)) {
        for (NSUInteger i = 0; i < [captureList count]; ++i) {
            TWCaptura *capt = [captureList objectAtIndex:i];
            if (capt.statusCapt == 0) {
                [capt setStatusCapt:statusVal];
                [captureList replaceObjectAtIndex:i withObject:capt];
                break;
            }
        }
    }
    
}

// Afegeix la capture LastCapture a la llista de captures
-(void)addCapture {
    TWCaptura *capture = nil;
    
    MyManager *sharedManager = [MyManager sharedManager];
    capture = sharedManager.myLastCapture;
    if (capture != nil)
        [captureList insertObject:capture atIndex:0];
}


@end
