//
//  TWFrequencyController.m
//  TrailWalker
//
//  Created by Roger Riera Diaz on 27/04/13.
//  Copyright (c) 2013 Roger Riera Diaz. All rights reserved.
//

#import "TWFrequencyController.h"

@interface TWFrequencyController ()

@end

@implementation TWFrequencyController

@synthesize delegate;

- (id)initWithStyle:(UITableViewStyle)style
{
    self = [super initWithStyle:style];
    if (self) {
        // Custom initialization
    }
    return self;
}

- (void)viewDidLoad
{
    [super viewDidLoad];
    
    // Carrega la freqüència actual
    MyManager *sharedManager = [MyManager sharedManager];
    _frequencySlider.value = sharedManager.mySettingData.frequency.floatValue / 100;
    
    int roundMin = _frequencySlider.value * 100;
    _frequencyLabel.text = [NSString stringWithFormat:@"%i min", roundMin];
}

- (void)didReceiveMemoryWarning
{
    [super didReceiveMemoryWarning];
    // Dispose of any resources that can be recreated.
}

// Recalcula el valor de l'slider per presentar-lo a la label
- (IBAction)changeValueSlider:(id)sender {
    int roundMin = _frequencySlider.value * 100;
    _frequencyLabel.text = [NSString stringWithFormat:@"%i min", roundMin];
}

#pragma mark - Table view delegate

- (void)tableView:(UITableView *)tableView didSelectRowAtIndexPath:(NSIndexPath *)indexPath
{
    // Navigation logic may go here. Create and push another view controller.
}

- (IBAction)cancel:(id)sender
{
	[self.delegate frequencyControllerDidCancel:self];
}

// Mètode que retorna la delegació a la classe pare. Ha acceptat la freqüència
- (IBAction)done:(id)sender
{
    int roundMin = _frequencySlider.value * 100;
    NSNumber *frequency = [NSNumber numberWithInt:roundMin];
    [self.delegate TWFrequencyController:self didReturnFrequency:frequency];
}


@end

