//
//  TWSecondViewController.m
//  TrailWalker
//
//  Created by Roger Riera Diaz on 17/04/13.
//  Copyright (c) 2013 Roger Riera Diaz. All rights reserved.
//

#import "TWListViewController.h"
#import "TWCatpureTableViewCell.h"

@interface TWListViewController ()
@end

@implementation TWListViewController


- (void)viewDidLoad
{
    [super viewDidLoad];
    // Activem el centre de notificacions per tal d'actualitzar la llista quan hi ha un canvi en les captures
    [[NSNotificationCenter defaultCenter] addObserver: self selector: @selector(refreshCaptureList) name:@"dealNotification" object: nil];
}

- (void)didReceiveMemoryWarning
{
    [super didReceiveMemoryWarning];
    // Dispose of any resources that can be recreated.
}


// Establim els mètodes propis per carregar la llista dinàmica
#pragma mark - Table view data source

- (NSInteger)numberOfSectionsInTableView:(UITableView *)tableView
{
    return 1;
}

// Retornem el nombre de registres de la llista per tal de muntar el bucle de càrrega
- (NSInteger)tableView:(UITableView *)tableView numberOfRowsInSection:(NSInteger)section
{
    int numbList;

    MyManager *sharedManager = [MyManager sharedManager];
    numbList = [[sharedManager.myCaptureList getCaptureList] count];
    
    return numbList;
}

// Carreguem les dades per cada element de la llista
- (UITableViewCell *)tableView:(UITableView *)tableView cellForRowAtIndexPath:(NSIndexPath *)indexPath
{
    
	TWCatpureTableViewCell *cell = [tableView
                             dequeueReusableCellWithIdentifier:@"CaptureCell"];
    
	if (cell == nil) {
        cell = [[TWCatpureTableViewCell alloc]
                initWithStyle:UITableViewCellStyleDefault
                reuseIdentifier:@"CaptureCell"];
    }
    
    
    // A partir de la Singleton obtenim la llista complerta de captures
    MyManager *sharedManager = [MyManager sharedManager];
    NSMutableArray *captListTemp = nil; 
    captListTemp = [sharedManager.myCaptureList getCaptureList];
    
    TWCaptura *capture = nil; 
    capture = [captListTemp objectAtIndex: [indexPath row]];
    
    // I carreguem cada element
    NSDateFormatter *dateFormat = [[NSDateFormatter alloc] init];
    [dateFormat setDateFormat:@"dd/MM/yyyy HH:mm:ss"];
    NSString *dateString = [dateFormat stringFromDate:capture.timeStampCapt];
    
    cell.batteryLabel.text = [NSString stringWithFormat: @"Bateria: %@ %%", [capture.batteryCapt stringValue]];

    cell.timeStampLabel.text = dateString;
    
    cell.XCoordLabel.text = [NSString stringWithFormat: @"X: %+.6f", [capture.latitudeCapt floatValue]];
    cell.YCoordLabel.text = [NSString stringWithFormat: @"Y: %+.6f", [capture.longitudeCapt floatValue]];
    
    // Per l'estatus utilitzem l'icone del vist i plau o la creu vermella
    if (capture.statusCapt == 0) {
        cell.markImage.image = [UIImage imageNamed:@"Delete-icon_16.png"];
    } else {
        cell.markImage.image = [UIImage imageNamed:@"Check-icon_16.png"];
    }
	return cell;
}

// Aquest és el mètode de refresc que executa el Centre de Notificacions
- (void)refreshCaptureList{
    [self.tableView reloadData];
}


@end
