//
//  TWLanguageController.m
//  TrailWalker
//
//  Created by Roger Riera Diaz on 26/04/13.
//  Copyright (c) 2013 Roger Riera Diaz. All rights reserved.
//

#import "TWLocationServiceController.h"

@interface TWLocationServiceController ()

@end

@implementation TWLocationServiceController
{
    NSArray * locServices;
    NSUInteger selectedIndex;
}

@synthesize delegate;
@synthesize locationService;

- (id)initWithStyle:(UITableViewStyle)style
{
    self = [super initWithStyle:style];
    if (self) {
        // Custom initialization
    }
    return self;
}

- (void)viewDidLoad
{
    [super viewDidLoad];

    // Carreguem el servei de localització actual
    locServices = [NSArray arrayWithObjects:
             @"Standard",
             @"Significant",
             nil];
    selectedIndex = [locServices indexOfObject:self.locationService];

}

- (void)didReceiveMemoryWarning
{
    [super didReceiveMemoryWarning];
    // Dispose of any resources that can be recreated.
}

// Mètodes per carregar la llista de serveis
#pragma mark - Table view data source

- (NSInteger)numberOfSectionsInTableView:(UITableView *)tableView
{
    return 1;
}

- (NSInteger)tableView:(UITableView *)tableView numberOfRowsInSection:(NSInteger)section
{
    return [locServices count];
}

// Carreguem el nom dels serveis de localització a partir de l'array locServices
- (UITableViewCell *)tableView:(UITableView *)tableView cellForRowAtIndexPath:(NSIndexPath *)indexPath
{
	UITableViewCell *cell = [tableView
                             dequeueReusableCellWithIdentifier:@"LocationCell"];
	cell.textLabel.text = [locServices objectAtIndex:indexPath.row];
    if (indexPath.row == selectedIndex)
		cell.accessoryType =
        UITableViewCellAccessoryCheckmark;
	else
		cell.accessoryType = UITableViewCellAccessoryNone;

	return cell;
}

#pragma mark - Table view delegate

// Mètode que retorna la delegació a la classe pare. Ha acceptat el servei de localització
- (void)tableView:(UITableView *)tableView didSelectRowAtIndexPath:(NSIndexPath *)indexPath
{
	[tableView deselectRowAtIndexPath:indexPath animated:YES];
	if (selectedIndex != NSNotFound)
	{
		UITableViewCell *cell = [tableView
                                 cellForRowAtIndexPath:[NSIndexPath
                                                        indexPathForRow:selectedIndex inSection:0]];
		cell.accessoryType = UITableViewCellAccessoryNone;
	}
	selectedIndex = indexPath.row;
	UITableViewCell *cell =
    [tableView cellForRowAtIndexPath:indexPath];
	cell.accessoryType = UITableViewCellAccessoryCheckmark;
	NSString *theService = [locServices objectAtIndex:indexPath.row];
    
	[self.delegate TWLocationController:self
                              didSelectService:theService];
}

@end
