//
//  TWTeamController.m
//  TrailWalker
//
//  Created by Roger Riera Diaz on 26/04/13.
//  Copyright (c) 2013 Roger Riera Diaz. All rights reserved.
//

#import "TWTeamController.h"
#define MAX_LENGTH 50

@interface TWTeamController ()

@end

@implementation TWTeamController

@synthesize delegate;

- (id)initWithStyle:(UITableViewStyle)style
{
    self = [super initWithStyle:style];
    if (self) {
        // Custom initialization
    }
    return self;
}

- (void)viewDidLoad
{
    [super viewDidLoad];
    // Carreguem les dades de l'equip
    MyManager *sharedManager = [MyManager sharedManager];
    _teamTextField.text = sharedManager.mySettingData.team;
    _teamTextField.delegate = self;
}

- (void)didReceiveMemoryWarning
{
    [super didReceiveMemoryWarning];
    // Dispose of any resources that can be recreated.
}


#pragma mark UITextFieldDelegate methods

// Validació de longitud de nom de l'equip
- (BOOL)textField:(UITextField *)textField shouldChangeCharactersInRange:(NSRange)range replacementString:(NSString *)string {
    NSUInteger newLength = [textField.text length] + [string length] - range.length;
    return (newLength > MAX_LENGTH) ? NO : YES;
}

#pragma mark - Table view delegate


- (void)tableView:(UITableView *)tableView didSelectRowAtIndexPath:(NSIndexPath *)indexPath
{
	if (indexPath.section == 0)
		[self.teamTextField becomeFirstResponder];
}

- (IBAction)cancel:(id)sender
{
	[self.delegate teamControllerDidCancel:self];
}

// Mètode que retorna la delegació a la classe pare. Ha acceptat el nom de l'equip
- (IBAction)done:(id)sender
{
    if ([_teamTextField.text length] == 0) {
        // Validem que no estigui en blanc
        NSLocale *locale = [NSLocale currentLocale];
        
        NSString *language = [locale displayNameForKey:NSLocaleIdentifier
                                                 value:[locale localeIdentifier]];
        
        NSLog(@"Locale %@ %@" , language, locale.localeIdentifier);
        UIAlertView *alertView = [[UIAlertView alloc] initWithTitle:NSLocalizedString(@"teamTextFieldTitle", @"")
                                                            message:NSLocalizedString(@"teamTextFieldMessage", @"")
                                                           delegate:self
                                                  cancelButtonTitle:nil
                                                  otherButtonTitles:@"Ok", nil];
        
        [alertView show];
    } else {
        [self.delegate TWTeamController:self didReturnTeam:_teamTextField.text];
    }
}

@end
